Endpoints de Blob
Blob Object List
Esta documentación ofrece una descripción completa del endpoint GET /v1/objects de la API de SquareCloud Blob.
GET
/
v1
/
objects
Blob Object List
curl --request GET \
--url https://blob.squarecloud.app/v1/objects \
--header 'Authorization: <authorization>'import requests
url = "https://blob.squarecloud.app/v1/objects"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://blob.squarecloud.app/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"response": {
"objects": [
{
"id": "ID/name1_ltq7b2sw-de6241.jpeg",
"size": 78266,
"created_at": "2024-03-13T19:31:28.776Z"
},
{
"id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
"size": 90466,
"created_at": "2024-03-13T19:35:28.776Z",
"expires_at": "2024-03-14T19:35:28.776Z"
}
],
"continuationToken": null
}
}
La clave de API de tu cuenta. Puedes encontrarla en la configuración de tu cuenta.
Una cadena que representa el prefijo del archivo.
Debe cumplir con el patrón a to z, A to Z, 0 to 9, and _. (3 a 32 caracteres)
Debe cumplir con el patrón a to z, A to Z, 0 to 9, and _. (3 a 32 caracteres)
Una cadena que representa el token de continuación para la lista de archivos. (1000 objetos por página)
Respuesta
Indica si la llamada fue exitosa. “success” si fue exitosa, “error” si no.
Mostrar Alternar objeto
Mostrar Alternar objeto
Token para obtener la siguiente página; pásalo de nuevo como el parámetro de consulta
continuationToken. null o ausente cuando no hay más objetos.{
"status": "success",
"response": {
"objects": [
{
"id": "ID/name1_ltq7b2sw-de6241.jpeg",
"size": 78266,
"created_at": "2024-03-13T19:31:28.776Z"
},
{
"id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
"size": 90466,
"created_at": "2024-03-13T19:35:28.776Z",
"expires_at": "2024-03-14T19:35:28.776Z"
}
],
"continuationToken": null
}
}
Solución de problemas
- Código de estado 400
- Código de estado 401
- Código de estado 429
Relacionado con el objeto
// The provided object prefix is invalid.
// Must adhere to the a to z, A to Z, 0 to 9, and _ pattern.
{
"status": "error",
"code": "INVALID_OBJECT_PREFIX"
}
// The provided continuation token is invalid (must be a string up to 2048 characters).
{
"status": "error",
"code": "INVALID_CONTINUATION_TOKEN"
}
// The request to list the objects failed. Please try again.
{
"status": "error",
"code": "FAILED_LIST"
}
No autorizado
// The API key is missing or invalid. Set a valid key in the Authorization header.
{
"status": "error",
"code": "ACCESS_DENIED"
}
Límite de tasa alcanzado
// List rate limit reached (10 requests per 30s window).
{
"status": "error",
"code": "RATELIMIT"
}
Anterior
Object PostEsta documentación ofrece una descripción completa del endpoint POST /v1/objects de la API de SquareCloud Blob.
Siguiente
⌘I
Blob Object List

